readNetAffx {AffyCompatible} | R Documentation

## Update or read a NetAffx data base

### Description

This function provides a way to read or update a NetAffx data base. The usual use for this is to force the data base description to be updated (by accessing the Affymetrix web site) or to retrieve the entire list of NetAffx resource data base. A more normal use case is to

### Usage

    readNetAffx(netAffxResource, update = FALSE, ...)

### Arguments

`netAffxResource` | An object of class `NetAffxResource` containing the path to the local data base, and permissions for access the Affymetrix NetAffx resource.
`update` | An object of `logical(1)` indicating whether the data base is to be updated (`TRUE`) or not.
`...` | Additional arguments, not currently used.

### Value

An object representing the annotations found; see `NetAffxResource` for additional details.

### Author(s)

Martin Morgan

### Examples

    ## retrieve all annotations
    ## Not run:
    example("NetAffxResource-class")
    readNetAffx(rsrc)
    ## End(Not run)

[Package AffyCompatible version 1.2.0 Index]